tag @s remove ml_choice_menu
tag @s remove ml_choice_jump_menu
tag @s add ml_line_menu
function ml_dialogue:logic/dialogue/create/editor_data
data remove entity @e[tag=ml_badge_entity,limit=1] data.editor_line
function ml_dialogue:text/clear
execute if data storage ml_dialogue:text data.system.menu_notice run function ml_dialogue:text/blank
execute if data storage ml_dialogue:text data.system.menu_notice run tellraw @s [{"text":"[","color":"#C29C54"},{"storage":"ml_dialogue:text","nbt":"data.system.menu_notice","interpret":true},{"text":"]"}]
execute if data storage ml_dialogue:text data.system.menu_notice run function ml_dialogue:text/blank
execute store result score @s ml_check run data get entity @e[tag=ml_badge_entity,limit=1] data.book.lines
execute if score @s ml_check matches 50.. run data modify storage ml_dialogue:text data.dialogue.menu.line_command set value '{"text":" [Max Line Count Reached] ","color":"#C29C54","hoverEvent":{"action":"show_text","contents":"You have reached the maximum amount of lines allowed for this dialogue"}}'
execute if score @s ml_check matches ..49 run data modify storage ml_dialogue:text data.dialogue.menu.line_command set value '{"text":" [Add Line] ","color":"aqua","hoverEvent":{"action":"show_text","contents":"Add a new line for this dialogue"},"clickEvent":{"action":"run_command","value":"/function ml_dialogue:logic/dialogue/create/lines/add_line"}}'
tellraw @s [{"text":"---- [","color":"#C29C54"},{"entity":"@e[tag=ml_badge_entity,limit=1]","nbt":"data.book.name","interpret":true},{"text":"] Lines Editor "},{"text":"(Page "},{"entity":"@e[tag=ml_badge_entity,limit=1]","nbt":"data.page"},{"text":") ----\n"}]
execute if data entity @e[tag=ml_badge_entity,limit=1] {data:{page:1}} run function ml_dialogue:logic/dialogue/create/menu/lines_list1
execute if data entity @e[tag=ml_badge_entity,limit=1] {data:{page:2}} run function ml_dialogue:logic/dialogue/create/menu/lines_list2
execute if data entity @e[tag=ml_badge_entity,limit=1] {data:{page:3}} run function ml_dialogue:logic/dialogue/create/menu/lines_list3
execute if data entity @e[tag=ml_badge_entity,limit=1] {data:{page:4}} run function ml_dialogue:logic/dialogue/create/menu/lines_list4
execute if data entity @e[tag=ml_badge_entity,limit=1] {data:{page:5}} run function ml_dialogue:logic/dialogue/create/menu/lines_list5
execute if data entity @e[tag=ml_badge_entity,limit=1] {data:{page:6}} run function ml_dialogue:logic/dialogue/create/menu/lines_list6
execute if data entity @e[tag=ml_badge_entity,limit=1] {data:{page:7}} run function ml_dialogue:logic/dialogue/create/menu/lines_list7
execute if data entity @e[tag=ml_badge_entity,limit=1] {data:{page:8}} run function ml_dialogue:logic/dialogue/create/menu/lines_list8
execute if data entity @e[tag=ml_badge_entity,limit=1] {data:{page:9}} run function ml_dialogue:logic/dialogue/create/menu/lines_list9
execute if data entity @e[tag=ml_badge_entity,limit=1] {data:{page:10}} run function ml_dialogue:logic/dialogue/create/menu/lines_list10
tellraw @s [{"text":"\n","color":"#C29C54"},{"storage":"ml_dialogue:text","nbt":"data.dialogue.menu.line_command","interpret":true},{"text":"  |  "},{"text":" < ","color":"yellow","hoverEvent":{"action":"show_text","contents":"Previous Page"},"clickEvent":{"action":"run_command","value":"/function ml_dialogue:logic/dialogue/create/lines/page_down"}},{"text":"Page "},{"entity":"@e[tag=ml_badge_entity,limit=1]","nbt":"data.page"},{"text":" > ","color":"yellow","hoverEvent":{"action":"show_text","contents":"Next Page"},"clickEvent":{"action":"run_command","value":"/function ml_dialogue:logic/dialogue/create/lines/page_up"}},{"text":"\n------------------------\n\n"},{"text":" [Main Menu] ","color":"red","hoverEvent":{"action":"show_text","contents":"Return to the Main Menu"},"clickEvent":{"action":"run_command","value":"/function ml_dialogue:logic/dialogue/create/menu/main"}},{"text":"\n"}]
function ml_dialogue:logic/dialogue/create/editor_data_final
data remove storage ml_dialogue:text data.system.menu_notice