function ml_dialogue:logic/dialogue/create/editor_data
function ml_dialogue:text/clear
execute if data entity @e[tag=ml_badge_entity,limit=1] {data:{book:{name_visible:0b}}} run data modify storage ml_dialogue:text data.dialogue.menu.name_command set value '{"text":" [Never Visible] ","color":"#5AD271","hoverEvent":{"action":"show_text","contents":"Click To Toggle"},"clickEvent":{"action":"run_command","value":"/function ml_dialogue:logic/dialogue/create/name_visibility"}}'
execute if data entity @e[tag=ml_badge_entity,limit=1] {data:{book:{name_visible:1b}}} run data modify storage ml_dialogue:text data.dialogue.menu.name_command set value '{"text":" [Always Visible] ","color":"#5AD271","hoverEvent":{"action":"show_text","contents":"Click To Toggle"},"clickEvent":{"action":"run_command","value":"/function ml_dialogue:logic/dialogue/create/name_visibility"}}'
execute if data entity @e[tag=ml_badge_entity,limit=1] {data:{book:{name_visible:2b}}} run data modify storage ml_dialogue:text data.dialogue.menu.name_command set value '{"text":" [Only When Speaking] ","color":"#5AD271","hoverEvent":{"action":"show_text","contents":"Click To Toggle"},"clickEvent":{"action":"run_command","value":"/function ml_dialogue:logic/dialogue/create/name_visibility"}}'
execute unless data entity @e[tag=ml_badge_entity,limit=1] data.book.end_notice run data modify storage ml_dialogue:text data.dialogue.menu.end_notice set from storage ml_dialogue:text data.npc.end_notice
execute unless data entity @e[tag=ml_badge_entity,limit=1] data.book.end_notice run data modify storage ml_dialogue:text data.dialogue.menu.end_notice_reset set value '{"text":""}'
execute if data entity @e[tag=ml_badge_entity,limit=1] data.book.end_notice run data modify storage ml_dialogue:text data.dialogue.menu.end_notice set from entity @e[tag=ml_badge_entity,limit=1] data.book.end_notice
execute if data entity @e[tag=ml_badge_entity,limit=1] data.book.end_notice run data modify storage ml_dialogue:text data.dialogue.menu.end_notice_reset set value '[{"text":"  |  ","color":"#C29C54"},{"text":" [Reset End Text] ","color":"yellow","hoverEvent":{"action":"show_text","contents":"Reset the text that displays when the player ends the dialogue with this NPC"},"clickEvent":{"action":"run_command","value":"/function ml_dialogue:logic/dialogue/create/reset_end_notice"}}]'
tag @e[tag=ml_badge_entity,limit=1] add ml_ending
tellraw @s [{"text":"---- [","color":"#C29C54"},{"entity":"@e[tag=ml_badge_entity,limit=1]","nbt":"data.book.name","interpret":true},{"text":"] Name Editor ----\n\n"},{"text":" [Edit Name Text] ","color":"green","hoverEvent":{"action":"show_text","contents":"Set the name for this NPC"},"clickEvent":{"action":"run_command","value":"/function ml_dialogue:logic/dialogue/create/set_name"}},{"text":"\n\n"},{"text":" Name Visibility:","hoverEvent":{"action":"show_text","contents":"Controls when the name text should be displayed above the NPC"}},{"storage":"ml_dialogue:text","nbt":"data.dialogue.menu.name_command","interpret":true},{"text":"\n"}]
tellraw @s [{"storage":"ml_dialogue:text","nbt":"data.npc.text_display","interpret":true},{"text":" End Text: ","color":"#C29C54"},{"storage":"ml_dialogue:text","nbt":"data.dialogue.menu.end_notice","interpret":true},{"text":"\n\n "},{"text":" [Edit End Text] ","color":"gold","hoverEvent":{"action":"show_text","contents":"Edit the text that displays when the player ends the dialogue with this NPC"},"clickEvent":{"action":"run_command","value":"/function ml_dialogue:logic/dialogue/create/set_end_notice"}},{"storage":"ml_dialogue:text","nbt":"data.dialogue.menu.end_notice_reset","interpret":true}]
tellraw @s [{"text":"\n----------------------------\n\n","color":"#C29C54"},{"text":" [Main Menu] ","color":"red","hoverEvent":{"action":"show_text","contents":"Return to the Main Menu"},"clickEvent":{"action":"run_command","value":"/function ml_dialogue:logic/dialogue/create/menu/main"}},{"text":"\n"}]
tag @e[tag=ml_badge_entity,limit=1] remove ml_ending
function ml_dialogue:logic/dialogue/create/editor_data_final