tag @s remove ml_line_menu
tag @s remove ml_choice_menu
tag @s remove ml_choice_jump_menu
function ml_dialogue:logic/dialogue/create/editor_data
function ml_dialogue:text/clear
execute if data storage ml_dialogue:text data.system.menu_notice run function ml_dialogue:text/blank
execute if data storage ml_dialogue:text data.system.menu_notice run tellraw @s [{"text":"[","color":"#C29C54"},{"storage":"ml_dialogue:text","nbt":"data.system.menu_notice","interpret":true},{"text":"]"}]
execute if data storage ml_dialogue:text data.system.menu_notice run function ml_dialogue:text/blank
execute store result score @s ml_check run data get entity @e[tag=ml_badge_entity,limit=1] data.book.lines
execute if data entity @e[tag=ml_badge_entity,limit=1] data.book.final_line run data modify storage ml_dialogue:text data.dialogue.menu.line_command set value '{"text":" [Edit Final Line] ","color":"dark_aqua","hoverEvent":{"action":"show_text","contents":"Edit the final line that always displays after all other lines are completed"},"clickEvent":{"action":"run_command","value":"/function ml_dialogue:logic/dialogue/create/menu/final_line"}}'
execute unless data entity @e[tag=ml_badge_entity,limit=1] data.book.final_line run data modify storage ml_dialogue:text data.dialogue.menu.line_command set value '{"text":" [Add Final Line]  ","color":"dark_aqua","hoverEvent":{"action":"show_text","contents":"Add the final line that always displays after all other lines are completed"},"clickEvent":{"action":"run_command","value":"/function ml_dialogue:logic/dialogue/create/lines/add_final_line"}}'
tellraw @s [{"text":"------- [","color":"#C29C54"},{"entity":"@e[tag=ml_badge_entity,limit=1]","nbt":"data.book.name","interpret":true},{"text":"] Dialogue Builder -------\n\n"},{"text":" [NPC Name] ","color":"gold","hoverEvent":{"action":"show_text","contents":"Edit the name properties for this NPC"},"clickEvent":{"action":"run_command","value":"/function ml_dialogue:logic/dialogue/create/menu/name"}},{"text":"      |  "},{"text":" [NPC Properties] ","color":"#F18A5F","hoverEvent":{"action":"show_text","contents":"Edit other properties for this NPC"},"clickEvent":{"action":"run_command","value":"/function ml_dialogue:logic/dialogue/create/menu/npc_properties"}},{"text":"\n\n"},{"text":" [Edit Lines] ","color":"aqua","hoverEvent":{"action":"show_text","contents":"Edit lines for this NPC's dialogue"},"clickEvent":{"action":"run_command","value":"/function ml_dialogue:logic/dialogue/create/menu/lines"}},{"text":"      |  "},{"storage":"ml_dialogue:text","nbt":"data.dialogue.menu.line_command","interpret":true},{"text":"\n\n"},{"text":" [Copy Data] ","color":"green","hoverEvent":{"action":"show_text","contents":"Copy this NPC's dialogue data to a book item that can be used on another entity"},"clickEvent":{"action":"run_command","value":"/function ml_dialogue:logic/dialogue/create/save"}},{"text":"     |  "},{"text":" [Restart Dialogue] ","color":"yellow","hoverEvent":{"action":"show_text","contents":"Restart dialogue for this NPC in order to start from the first line"},"clickEvent":{"action":"run_command","value":"/function ml_dialogue:logic/dialogue/create/restart"}},{"text":"\n\n----------------------------------\n"},{"text":" [*Reset Data*] ","color":"red","hoverEvent":{"action":"show_text","contents":"WARNING: Resets all current data in this NPC Dialogue Builder"},"clickEvent":{"action":"run_command","value":"/function ml_dialogue:logic/dialogue/create/reset_all"}},{"text":"  |  "},{"text":" [*Remove Dialogue*] ","color":"red","hoverEvent":{"action":"show_text","contents":"WARNING: Removes all dialogue data from this NPC and reverts the entity"},"clickEvent":{"action":"run_command","value":"/function ml_dialogue:logic/dialogue/create/entity/remove"}},{"text":"\n----------------------------------\n\n"},{"text":" [Exit] ","color":"#DD743B","hoverEvent":{"action":"show_text","contents":"Exit this menu"},"clickEvent":{"action":"run_command","value":"/function ml_dialogue:logic/dialogue/create/menu/exit"}},{"text":"\n"}]
function ml_dialogue:logic/dialogue/create/editor_data_final
data remove storage ml_dialogue:text data.system.menu_notice